Subject: Re: [PATCH 1/6] Start split out of common open firmware code

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 25 Apr 2007 10:03:17 +1000

> While I realise your patch is just moving stuff around,
> can this be fixed please?  A missing "#address-cells"
> property means "two cells", not "inherit from parent".
> The few platforms with a broken tree should just be
> fixed (patch the tree in the bootwrapper, or perhaps
> _do_ use this workaround, but only on the affected
> platforms).

If you can get me access to all of the old PowerMac or CHRP crap with
broken device-tree's ...

Note that I don't think there's much cases of such breakage on the
field, but I'd be annoyed to change a behaviour we had from day 1.

> > +int of_n_size_cells(struct device_node *np)
> 
> Same here (the default is one cell though).

And same comment.

Ben.